/***************************************************
*  Copyright (c) 2009. All rights reserved.
*  Procession or use of this file requires a written 
*  license from the author.
*  
*  Created: 2009-12-30
***************************************************/
#ifndef _H_DOCSUMMARY_DLL
#define _H_DOCSUMMARY_DLL

#if defined(OS_LINUX)
	#define DOCSUMMARY_API  extern "C"
#else
#if defined(LJSUMMARY_EXPORTS)
#define DOCSUMMARY_API extern "C"  __declspec(dllexport)
#else
#define DOCSUMMARY_API extern "C"  __declspec(dllimport)
#endif
#endif

#if defined(ICTCLAS_JNI_EXPORTS)||defined(LJSUMMARY_JNI_EXPORTS) 
#define DOCSUMMARY_API 
#endif

#define GBK_CODE 0//Ĭ֧GBK
#define UTF8_CODE GBK_CODE+1//UTF8
#define BIG5_CODE GBK_CODE+2//BIG5
#define GBK_FANTI_CODE GBK_CODE+3//GBK룬
/*-----------------------------------------------------------------------
* ܣʼ
* sLicenseCode - Ȩ
*		sPath-default path
* أtrue - ɹfalse - ʧ
* עڽд˺֮ǰãִֻһΣ
------------------------------------------------------------------------*/
DOCSUMMARY_API int DS_Init(const char *sPath=0,int nEncoding=GBK_CODE,const char *sLicenseCode=0);

/*-----------------------------------------------------------------------
* ܣɵĵժҪ
* sText	    -[IN] ĵ
*		fSumRate	-[IN] ĵժҪռԭİٷֱȣΪ0.00ƣ
*		iSumLen		-[IN] û޶ժҪ  Ϊ0ƣ
*		bHtmlTagRemove-[IN] ǷҪԭĽHtmlǩȥ
* أժҪַؿմ
* עڽд˺ִж
------------------------------------------------------------------------*/

DOCSUMMARY_API const char* DS_SingleDoc(const char *sText, float fSumRate=0.00, int iSumLen=250,int bHtmlTagRemove=0);

// DOCSUMMARY_API const char* DS_SingleDoc(const char *sText, float fSumRate=0.00, int iSumLen=250,bool bHtmlTagRemove=false);

/*-----------------------------------------------------------------------
* ܣɵĵժҪúֶ֧̣߳Ƕ̰߳ȫ
* sResult    -[IN] ժҪ
*		sText	    -[IN] ĵ
*		fSumRate	-[IN] ĵժҪռԭİٷֱȣΪ0.00ƣ
*		iSumLen		-[IN] û޶ժҪ  Ϊ0ƣ
*		bHtmlTagRemove-[IN] ǷҪԭĽHtmlǩȥ
* أժҪַؿմ
* עڽд˺ִж
------------------------------------------------------------------------*/

DOCSUMMARY_API const char* DS_SingleDocE(char *sResult,const char *sText, float fSumRate=0.00, int iSumLen=250,int bHtmlTagRemove=0);

// DOCSUMMARY_API const char* DS_SingleDocE(char *sResult,const char *sText, float fSumRate=0.00, int iSumLen=250,bool bHtmlTagRemove=false);

//
/*-----------------------------------------------------------------------
* ܣɵĵժҪúֶ֧̣߳Ƕ̰߳ȫ
* sTextFilename	    -[IN] ĵļ
*		fSumRate	-[IN] ĵժҪռԭİٷֱȣΪ0.00ƣ
*		iSumLen		-[IN] û޶ժҪ  Ϊ0ƣ
*		bHtmlTagRemove-[IN] ǷҪԭĽHtmlǩȥ
* أժҪַؿմ
* עڽд˺ִж
------------------------------------------------------------------------*/
DOCSUMMARY_API const char* DS_FileProcess(const char *sTextFilename, float fSumRate=0.00, int iSumLen=250,int bHtmlTagRemove=0);


//

//˳ͷԴ̽ǰͷռõڴԴ
DOCSUMMARY_API void DS_Exit();

//ôϢ
DOCSUMMARY_API const char* DS_GetLastErrMsg();

#endif //_H_DOCSUMMARY_DLL
